API Documentation
=================
Learn how the JSON REST API works from the ground up!

First time interacting with the API? Start with the [Getting Started][] guide,
which will introduce you to the basic concepts for working with the API.

From there, progress on to other [guides][] to learn in detail about parts of
the API.

Take a look at more detailed information on [post][post-routes] or
[media][media-routes], or read about [maximizing compatibility][compatibility]
with older clients.

Dive in deeper into the [schema details][schema] to better understand the little
details, or read about the [philosophy][] behind them. Read about the
[implementation details][implementation] on how the API works internally.

[Getting Started]: http://wp-api.org/guides/getting-started.html
[guides]: http://wp-api.org/guides.html
[post-routes]: http://wp-api.org/#posts
[media-routes]: http://wp-api.org/#media
[compatibility]: compatibility.md
[schema]: schema.md
[philosophy]: internals/philosophy.md
[implementation]: internals/implementation.md
